> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dintero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accounts collection

> Get list of accounts filtered by the partner account

scopes:
- admin:accounts
- read:accounts




## OpenAPI

````yaml /mintlify-docs/openapi/spec-management-auth.yaml get /accounts/{oid}/management/accounts
openapi: 3.0.0
info:
  title: Account Management API
  description: >
    # Changelog


    All notable changes to the API.


    ## 2026-06-09


    > **update** `store_id` is now optional when creating a store. If omitted,
    the server generates one (e.g. `T12345678-0001`).

    >

    > - [POST
    /v1/accounts/{aid}/management/stores](/management-auth-api/account-stores/aid_account_management_stores_post)


    ## 2026-06-08

    > **update** Include `ipp` in `payment_methods` of new Payment approval

    >

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payments](/management-auth-api/approvals/aid_management_settings_approvals_payment_get)

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payments](/management-auth-api/approvals/aid_management_settings_approvals_payment_post)


    ## 2026-06-04

    > **update** Include `links` in payout destination details response

    >

    > - [GET
    /v1/accounts/{aid}/payout-destinations/{payout_destination_id}](#operation/aid_mgmnt_payout_destinations_payout_destination_id_get)


    ## 2026-06-03


    > **update** `device_model` removed from terminal create request. The model
    is always resolved from the serial number using terminal manufacture data.

    >

    > - [POST
    /v1/accounts/{aid}/management/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_post)


    > **update** Add `status_reason` to terminal responses. 

    >

    > **update** Expand terminal `status` to include `ERROR`.

    >

    > - [GET
    /v1/accounts/{aid}/stores](/management-auth-api/account-stores/aid_account_management_stores_get)

    > - [GET
    /v1/accounts/{aid}/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_get)

    > - [GET
    /v1/accounts/{aid}/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_get)

    > - [GET
    /v1/accounts/{aid}/terminals/{terminal_id}](/management-auth-api/account-terminals/aid_account_management_terminals_termid_get)


    ## 2026-05-30

    > **update** Store `form_submitter` details on created payout destination
    response

    >

    > - [POST
    /v1/accounts/{aid}/payout-destinations](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_post)


    ## 2026-05-29


    > Document minimum required fields to be set for POST account to enable
    `livemode`

    >

    > - [POST
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)


    ## 2026-05-22


    > **update** Store `status` response field now includes all possible values:
    `ACTIVE`, `PENDING`, `SUSPENDED`, `DELETED`, `ERROR`.

    >

    > - [GET
    /v1/accounts/{aid}/management/stores](/management-auth-api/account-stores/aid_account_management_stores_get)

    > - [GET
    /v1/accounts/{aid}/management/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_get)


    ## 2026-05-21


    > **update** Add `status` query parameter to filter stores by status.

    >

    > - [GET
    /v1/accounts/{aid}/management/stores](/management-auth-api/account-stores/aid_account_management_stores_get)


    > **update** Add `enrollment` field to store details response.

    >

    > - [GET
    /v1/accounts/{aid}/management/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_get)


    > **update** New stores are created with `status: PENDING` by default.


    > **break** `organization_number` cannot be changed after store creation.

    >

    > - [PUT
    /v1/accounts/{aid}/management/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_put)


    > **update** Terminal creation returns `400` when the store has no payout
    destination.

    >

    > - [POST
    /v1/accounts/{aid}/management/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_post)


    > **update** Add `PENDING` and `ACTION_REQUIRED` terminal statuses.

    >

    > - [GET
    /v1/accounts/{aid}/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_get)

    > - [GET
    /v1/accounts/{aid}/terminals/{terminal_id}](/management-auth-api/account-terminals/aid_account_management_terminals_termid_get)


    ## 2026-05-20


    > **break** The `store_id` field in the POST terminal request body now
    expects the

    > client-supplied `store_id` (e.g. `S312`) instead of the system-generated
    store `id`

    > (e.g. `P12600030-0001`).

    >

    > - [POST
    /v1/accounts/{aid}/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_post)


    ## 2026-05-16


    > **break** Remove `PUT /v1/accounts/{aid}/terminals/{terminal_id}`
    endpoint.

    >

    > - [GET
    /v1/accounts/{aid}/terminals/{terminal_id}](/management-auth-api/account-terminals/aid_account_management_terminals_termid_get)

    > - [DELETE
    /v1/accounts/{aid}/terminals/{terminal_id}](/management-auth-api/account-terminals/aid_account_management_terminals_termid_delete)


    > **break** `store_name`, `phone_number`, and `organization` are now
    required fields when creating or updating a store.

    >

    > - [POST
    /v1/accounts/{aid}/stores](/management-auth-api/account-stores/aid_account_management_stores_post)

    > - [PUT
    /v1/accounts/{aid}/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_put)


    ## 2026-05-15


    > **breaking** Refactor `stores.address` to `Address` object and remove
    requirement for `store.store_name` in GET endpoint for
    `/{oid}/payout-destinations/{payout_destination_id}`

    >

    - [GET
    /v1/accounts/{aid}/payout-destinations/{payout_destination_id}](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get_by_id)

    - 

    ## 2026-05-13


    > **update** Add `payout_destination_name` and
    `payout_destination_description` to `AuthPayoutDestinationReadOnly`

    > 

    > - [GET
    /v1/accounts/{aid}/payout-destinations/{payout_destination_id}](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get_by_id)

    > - [GET
    /v1/accounts/{oid}/payout-destinations](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get)


    ## 2026-05-08


    > **update** Add `terminals` and `stores` to GET endpoint for
    `/{oid}/payout-destinations/{payout_destination_id}`

    >

    > - [GET
    /v1/accounts/{aid}/payout-destinations/{payout_destination_id}](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get_by_id)


    ## 2026-05-07


    > **update** `store_id` is now required when creating a terminal.

    >

    > - [POST
    /v1/accounts/{aid}/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_post)


    ## 2026-05-06


    > **update** Add `supported_invoice_channels` support for Kravia connection
    update.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/kravia](/management-auth-api/account-connections/aid_account_settings_connections_kravia_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings/connections/kravia](/management-auth-api/account-connections/aid_account_settings_connections_kravia_put)


    ## 2026-05-03


    > **new** POST endpoint for `/{aid}/payout-destinations` and GET endpoint
    for `/{oid}/payout-destinations/{payout_destination_id}`

    >

    > - [GET
    /v1/accounts/{aid}/payout-destinations/{payout_destination_id}](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get_by_id)

    > - [POST
    /v1/accounts/{aid}/payout-destinations](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_post)


    ## 2026-05-02


    > **new** New query parameters `search` and `creation_state` for Price
    package collection

    >

    > - [GET
    /v1/accounts/{oid}/management/price-packages](/management-auth-api/price-packages/aid_mgmnt_price_packages_get)


    ## 2026-05-01


    > **new** Update payout destination.

    >

    > - [PATCH
    /v1/accounts/{oid}/management/payout-destinations/{payout_destination_id}](/management-auth-api/payout-destinations/oid_mgmnt_payout_destinations_by_id_patch)


    > **update** Add payout_interval_type value `"manual"`.

    >

    > - [PATCH
    /v1/accounts/{oid}/management/payout-destinations/{payout_destination_id}](/management-auth-api/payout-destinations/oid_mgmnt_payout_destinations_by_id_patch)


    ## 2026-04-29


    > **update** Add `terminal_id` query parameter to filter stores by terminal.

    >

    > - [GET
    /v1/accounts/{aid}/stores](/management-auth-api/account-stores/aid_account_management_stores_get)


    > **break** Remove deprecated `/management/` path prefixes for stores,
    terminals and payout-destinations.

    > Use the plain paths instead.

    >

    > - [GET
    /v1/accounts/{aid}/stores](/management-auth-api/account-stores/aid_account_management_stores_get)

    > - [POST
    /v1/accounts/{aid}/stores](/management-auth-api/account-stores/aid_account_management_stores_post)

    > - [GET
    /v1/accounts/{aid}/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_get)

    > - [PUT
    /v1/accounts/{aid}/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_put)

    > - [DELETE
    /v1/accounts/{aid}/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_delete)

    > - [GET
    /v1/accounts/{aid}/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_get)

    > - [POST
    /v1/accounts/{aid}/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_post)

    > - [GET
    /v1/accounts/{aid}/terminals/{terminal_id}](/management-auth-api/account-terminals/aid_account_management_terminals_termid_get)

    > - [PUT
    /v1/accounts/{aid}/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_put)

    > - [DELETE
    /v1/accounts/{aid}/terminals/{terminal_id}](/management-auth-api/account-terminals/aid_account_management_terminals_termid_delete)

    > - [GET
    /v1/accounts/{oid}/payout-destinations](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get)

    > - [PATCH
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}](/management-auth-api/payout-destinations/oid_mgmnt_payout_destinations_by_id_patch)

    > - [POST
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}/payouts](/management-auth-api/payout-destinations/oid_mgmnt_payout_destinations_payouts_post)


    > **update** `device_model` on terminals is now an enum. Accepted values are
    `SATURN1000`, `Saturn_S1F4_Pro`, `S1P2`.

    >

    > - [POST
    /v1/accounts/{aid}/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_post)

    > - [PUT
    /v1/accounts/{aid}/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_put)

    > - [GET
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}](#operation/oid_mgmnt_payout_destinations_get_by_id)

    > - [POST
    /v1/accounts/{oid}/payout-destinations](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_post)


    ## 2026-04-27


    > **update** Add `email`, `website`, and `phone_number` to payout
    destinations.

    >

    > - [GET
    /v1/accounts/{oid}/payout-destinations](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get)

    > - [PATCH
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}](/management-auth-api/payout-destinations/oid_mgmnt_payout_destinations_by_id_patch)


    ## 2026-04-17


    > **new** Add plain path aliases for stores, terminals and
    payout-destinations.

    > The `/management/` prefix is no longer required.

    >

    > - [GET
    /v1/accounts/{aid}/stores](/management-auth-api/account-stores/aid_account_management_stores_get)

    > - [POST
    /v1/accounts/{aid}/stores](/management-auth-api/account-stores/aid_account_management_stores_post)

    > - [GET
    /v1/accounts/{aid}/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_get)

    > - [PUT
    /v1/accounts/{aid}/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_put)

    > - [DELETE
    /v1/accounts/{aid}/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_delete)

    > - [GET
    /v1/accounts/{aid}/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_get)

    > - [POST
    /v1/accounts/{aid}/terminals](/management-auth-api/account-terminals/aid_account_management_terminals_post)

    > - [GET
    /v1/accounts/{aid}/terminals/{terminal_id}](/management-auth-api/account-terminals/aid_account_management_terminals_termid_get)

    > - [PUT
    /v1/accounts/{aid}/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_put)

    > - [DELETE
    /v1/accounts/{aid}/terminals/{terminal_id}](/management-auth-api/account-terminals/aid_account_management_terminals_termid_delete)

    > - [GET
    /v1/accounts/{oid}/payout-destinations](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get)

    > - [PATCH
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}](/management-auth-api/payout-destinations/oid_mgmnt_payout_destinations_by_id_patch)

    > - [POST
    /v1/accounts/{oid}/payout-destinations/{payout_destination_id}/payouts](/management-auth-api/payout-destinations/oid_mgmnt_payout_destinations_payouts_post)


    ## 2026-04-09


    > Add endpoint to onboard merchant to Seitatech and endpoint to get the
    connection.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/seitatech](/management-auth-api/account-connections/aid_account_settings_connections_seitatech_get)

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/seitatech](/management-auth-api/account-connections/aid_account_settings_connections_seitatech_post)


    ## 2026-04-08


    > **break** Rename `locations` to `stores` in management API. The
    `/management/locations` endpoints are now `/management/stores`. Related
    properties renamed: `location_id` to `store_id`, `location_name` to
    `store_name`, `number_of_locations` to `number_of_stores`. Webhook events
    renamed from `account_location_*` to `account_store_*`.

    >

    > - [GET
    /v1/accounts/{aid}/management/stores](/management-auth-api/account-stores/aid_account_management_stores_get)

    > - [POST
    /v1/accounts/{aid}/management/stores](/management-auth-api/account-stores/aid_account_management_stores_post)

    > - [GET
    /v1/accounts/{aid}/management/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_get)

    > - [PUT
    /v1/accounts/{aid}/management/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_put)

    > - [DELETE
    /v1/accounts/{aid}/management/stores/{store_id}](/management-auth-api/account-stores/aid_account_management_stores_sid_delete)


    ## 2026-04-01


    > **new** On-demand payouts.

    >

    > - [POST
    /v1/accounts/{oid}/management/payout-destinations/{payout_destination_id}/payouts](/management-auth-api/payout-destinations/oid_mgmnt_payout_destinations_payouts_post)


    ## 2026-03-25


    > **new** Add endpoint for listing Bambora IPP submerchant onboardings

    >

    > - [GET
    /v1/accounts/{aid}/management/settings/connections/bambora-ipp-submerchants](/management-auth-api/account-connections/aid_account_settings_connections_bambora_ipp_get)


    ## 2026-03-20


    > **update** Add `payment_product_type_category` as a price package price
    dimension. Also add enum values and descriptions for the price `name`
    property.

    >

    > - [GET
    /v1/accounts/{oid}/management/price-packages](/management-auth-api/price-packages/aid_mgmnt_price_packages_get)

    > - [POST
    /v1/accounts/{oid}/management/price-packages](/management-auth-api/price-packages/aid_mgmnt_price_packages_post)

    > - [PUT
    /v1/accounts/{oid}/management/price-packages/{price_package_id}](/management-auth-api/price-packages/aid_mgmnt_price_packages_put)

    > - [GET
    /v1/accounts/{aid}/management/price-package](/management-auth-api/account-price-package/aid_account_price_package_get)


    > **update** Update Mastercard Match terminate and search response to use
    new values from Match Pro API. Replace `cat_flag` with `is_proprietorship`
    and `is_transaction_laundering` in terminate request. Update all MATCH
    response definitions per MATCH Pro spec, and use snake_case for all schemas.

    >

    > - [POST
    /v1/accounts/{aid}/compliance-search/match/terminate](/management-auth-api/account-fraud-search/accounts_aid_search_match_terminate_merchant_post)

    > - [POST
    /v1/accounts/{aid}/compliance-search/match](/management-auth-api/account-fraud-search/accounts_aid_search_match_post)

    > - [GET
    /v1/accounts/{aid}/compliance-search/match/{irn}](/management-auth-api/account-fraud-search/accounts_aid_search_match_get)


    ## 2026-03-11


    > **update** Add `TERMINATED` to approval status for approvals filtering and
    response status.

    >

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payments](/management-auth-api/approvals/aid_management_settings_approvals_payment_get)

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](/api-reference/approvals/aid_management_settings_approvals_payout_destinations_get)


    ## 2026-03-09


    > **new** New query parameters for Payout destination collection

    >

    > - [GET
    /v1/accounts/{aid}/management/payout-destinations](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get)


    ## 2026-03-04


    > **update** Add `ipp` Checkout service feature

    >

    > - [PUT
    /v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - [GET
    /v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_aid_get)


    ## 2026-02-25


    > **update** Add `organization.country` and `organization.type` to location
    organization input.

    >

    > - [POST
    /v1/accounts/{aid}/management/locations](#operation/aid_account_management_locations_post)

    > - [PUT
    /v1/accounts/{aid}/management/locations/{location_id}](#operation/aid_account_management_locations_lid_put)


    ## 2026-02-23


    > **update** Add `payout_interval_type`, `number_of_locations`,
    `number_of_terminals` to `AuthPayoutDestinationReadOnly`

    >

    > - [GET
    /v1/accounts/{aid}/managment/payout-destinations](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get)



    ## 2026-02-21


    > **update** Add `kravia` to `payment_methods` of `ApprovalPayments`

    >

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payments](/management-auth-api/approvals/aid_management_settings_approvals_payment_get)

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payments](/management-auth-api/approvals/aid_management_settings_approvals_payment_post)


    ## 2026-02-20


    > **update** Add support for `terminals` to location responses and
    `terminals_summary` to location collection entries.

    >

    > **update** Add `status` to terminal.

    >

    > - [GET
    /v1/accounts/{aid}/management/locations](#operation/aid_account_management_locations_get)

    > - [GET
    /v1/accounts/{aid}/management/locations/{location_id}](#operation/aid_account_management_locations_lid_get)

    > - [ PUT
    /v1/accounts/{aid}/management/locations/{location_id}](#operation/aid_account_management_locations_lid_put)

    > - [DELETE
    /v1/accounts/{aid}/management/locations/{location_id}](#operation/aid_account_management_locations_lid_delete)



    ## 2026-02-28


    > Add endpoint to onboard merchant to Two and endpoint to get the
    connection.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/two](/management-auth-api/account-connections/aid_account_settings_connections_two_get)

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/two](/management-auth-api/account-connections/aid_account_settings_connections_two_post)


    ## 2026-02-13


    > **update** Add `invoice_delivery_method` support for Kravia connection.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/kravia](/management-auth-api/account-connections/aid_account_settings_connections_kravia_get)

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/kravia](/management-auth-api/account-connections/aid_account_settings_connections_kravia_post)

    >

    > **new** Add endpoint for updating Kravia invoice delivery mode.

    > - PUT
    [/v1/accounts/{aid}/management/settings/connections/kravia](/management-auth-api/account-connections/aid_account_settings_connections_kravia_put)


    ## 2026-02-10


    > **update** Add `website` and `coordinates` properties to [location
    management endpoints](#tag/account-locations)


    ## 2026-01-16


    > **update** Add `allowed_merchant_category_codes` property to Account
    `onboarding`

    >

    > Restricts the MCC codes available for selection during merchant
    onboarding.

    >

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)


    ## 2026-01-12


    > **new** New query parameter for accounts collection: `services`

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)


    ## 2025-12-31


    > **update** Document support for 404 status from callback endpoint

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/cdd/cases/{id}/callback](/management-auth-api/account-cdd/aid_management_settings_cdd_cases_callback)


    ## 2025-12-16


    > **update** add `operator_payout_destination` property to location
    management endpoints

    >

    > [GET location details](#operation/aid_account_management_locations_get)

    > [GET location list](#operation/aid_account_management_locations_lid_get)


    ## 2025-12-15


    > **update** Added `location_name` and `number_of_terminals` properties to
    the [location endpoints](#tag/account-locations)


    ## 2025-12-09


    > **update** remove `device_serial_number` property for update operation

    >

    > [PUT
    /v1/accounts/{aid}/management/terminals/{terminal_id}](#operation/aid_account_management_terminals_termid_put)


    ## 2025-12-09


    > - Removed entity management endpoints for `/entities` and
    `/transfer-instruments`

    > - Removed POST endpoint for entity management `/payout-destinations`

    > - Updated [GET payout
    destinations](/management-auth-api/payout-destinations/aid_mgmnt_payout_destinations_get)


    ## 2025-11-20


    > **update** Add `public_business_name` to `AuthenticatedAccountUser`

    >

    > - GET
    [/v1/account/user](/management-auth-api/account-users/account_user_get)


    ## 2025-10-31


    > **new** Add new `locations` and `terminals` endpoints to replace
    documented entity API

    > - [POST/GET/DELETE locations](#tag/account-locations)

    > - [POST/GET/DELETE terminals](#tag/account-terminals)


    ## 2025-10-28


    > **update** Add `configuration` property to Kravia connection response to
    include merchant configuration details.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/kravia](/management-auth-api/account-connections/aid_account_settings_connections_kravia_get)


    ## 2025-10-27


    > Add endpoint to onboard merchant to Kravia and endpoint to get the
    connection.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/kravia](/management-auth-api/account-connections/aid_account_settings_connections_kravia_get)

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/kravia](/management-auth-api/account-connections/aid_account_settings_connections_kravia_post)


    ## 2025-10-20


    > Add endpoint to onboard merchant to Click-to-pay and endpoint to get the
    connection.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/clicktopay](/management-auth-api/account-connections/aid_account_settings_connections_visa_click_to_pay_get)

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/clicktopay](/management-auth-api/account-connections/aid_account_settings_connections_visa_click_to_pay_post)


    ## 2025-10-06


    > Remove pattern requirement for `billing.billing_statement.name`

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_mgmnt_accounts_aid_delete)


    ## 2025-09-25


    > Add new property `public_business_name` to Account `company`

    > Represents the public business name of the company, also known as "Doing
    business as" business name.

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_mgmnt_accounts_aid_delete)


    ## 2025-09-15


    > Add new scope `write:accounts:/assets` for creating upload URLs

    > Extend the create upload URL endpoint with
    `write:dintero:/management/accounts` access

    >

    > - POST
    [v1/accounts/{aid}/management/assets](/management-auth-api/account-assets/aid_account_assets_post)


    ## 2025-09-09


    > Support more mime types for creating an upload URL

    >

    > - POST
    [v1/accounts/{aid}/management/assets](/management-auth-api/account-assets/aid_account_assets_post)


    ## 2025-08-27


    > Add new property `attachments` to Account

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_mgmnt_accounts_aid_delete)


    ## 2025-08-26


    > Add new property `terms` to Account `company`

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_mgmnt_accounts_aid_delete)



    ## 2025-08-25


    > Add new property `contacts` to Account `company`

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_mgmnt_accounts_aid_delete)


    ## 2025-08-22


    > Add new property `billing_statement` to Account `billing`

    > - GET
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - POST
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - GET
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - PUT
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - DELETE
    [/v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_mgmnt_accounts_aid_delete)


    ## 2025-08-19


    > Add new property `onboarding` to Account settings

    >

    > - GET
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_aid_get)

    > - PUT
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)


    ## 2025-06-01


    > Add new endpoints for Entity Management

    > - [Entities](#tag/entities)

    > - [Stores](#tag/stores)

    > - [Transfer Instruments](#tag/transfer-instruments)

    > - [Payout Destinations](#tag/payout-destinations)


    ## 2025-05-12


    > Add `country` query parameter to accounts collection

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)


    ## 2025-04-01


    > Adds Mastercard Tokenization enrollment

    >

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/mastercard-tokenization](/management-auth-api/account-connections/aid_account_settings_connections_mastercard_tokenization_post)

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/mastercard-tokenization](/management-auth-api/account-connections/aid_account_settings_connections_mastercard_tokenization_get)

    > - GET
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)


    ## 2025-03-31


    > **new** Add support for updating API Client name and description

    > - [PATCH
    /v1/accounts/{oid}/auth/clients/{id}](/management-auth-api/clients/aid_auths_clients_id_patch)


    > **new** Document support for new dintero scopes

    > - [POST
    /v1/accounts/{oid}/management/price-packages](/management-auth-api/price-packages/aid_mgmnt_price_packages_post)

    > - [PUT
    /v1/accounts/{oid}/management/price-packages/{price_package_id}](/management-auth-api/price-packages/aid_mgmnt_price_packages_put)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}/price-packages](/management-auth-api/accounts/aid_account_settings_price_packages_put)


    ## 2025-03-02


    > **new** `source_price_package_id` property in `PricePackageMeta`
    definition to keep track of the price package a price package is based on.

    >

    > - [GET
    /v1/accounts/{oid}/management/price-packages](/management-auth-api/price-packages/aid_mgmnt_price_packages_get)

    > - [POST
    /v1/accounts/{oid}/management/price-packages](/management-auth-api/price-packages/aid_mgmnt_price_packages_post)


    ## 2025-03-01


    > Endpoint for signing up to Swish PayFac

    >

    > - [POST
    /management/settings/connections/swish-payfac](/management-auth-api/account-connections/aid_account_settings_connections_swish_payfac_post)


    > Adds Dintero PSP connection.

    >

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/dintero-psp](/management-auth-api/account-connections/aid_account_settings_connections_dintero_psp_post)

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/dintero-psp](/management-auth-api/account-connections/aid_account_settings_connections_dintero_psp_get)


    > Changes to Visa Tokenization enrollment, rename from visa-tokens to
    visa-tokenization

    >

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/visa-tokenization](/management-auth-api/account-connections/aid_account_settings_connections_visa_tokenization_post)

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/visa-tokenization](/management-auth-api/account-connections/aid_account_settings_connections_visa_tokenization_get)

    > - GET
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)


    > Changes to 3D-Secure enrollment, make the API stateful and algin it to the
    other connections.

    >

    > - POST
    [/v1/accounts/{aid}/management/settings/connections/mastercard-3ds](/management-auth-api/account-connections/aid_account_settings_connections_mastercard_3ds_post)

    > - GET
    [/v1/accounts/{aid}/management/settings/connections/mastercard-3ds](/management-auth-api/account-connections/aid_account_settings_connections_mastercard_3ds_get)

    > - GET
    [/v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - GET
    [/v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)


    ## 2025-02-03


    > Support individual sellers in "New seller approval" endpoint.

    >

    > - POST
    [/v1/accounts/{oid}/management/settings/approvals/payout-destinations](/api-reference/approvals/aid_management_settings_approvals_payout_destinations_post)


    ## 2025-02-01


    > Extend update price packages endpoint with new query parameter
    `remove_default_price_package` to support removing the default price package
    from the partner configuration of a given partner account.

    >

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}/price-packages](/management-auth-api/accounts/aid_account_settings_price_packages_put)


    ## 2025-02-02


    > Extend account users API with new query parameter `search` to look up
    users by email and/or name

    >

    > - [GET
    /v1/accounts/{oid}/management/users](/management-auth-api/account-users/aid_accounts_aid_mgmnt_users_get)


    ## 2025-02-01


    > Extend partner API with new optional property for account: `configuration`

    > The `configuration` property can be used to set various configurations on
    a

    > partner account.

    >

    > Currently, only "default price package" is supported—which lets you
    configure

    > a given partner account with a default price package that should be
    assigned

    > to new merchants created from said partner, if nothing else is specified.

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - [GET
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}/price-packages](/management-auth-api/accounts/aid_account_settings_price_packages_put)

    > - [GET
    /management/settings](/management-auth-api/account-settings/aid_account_aid_get)


    > Extend update price packages endpoint with new query parameter
    `remove_default_price_package` to support removing the default price package
    from the partner configuration of a given partner account.

    >

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}/price-packages](/management-auth-api/accounts/aid_account_settings_price_packages_put)


    ## 2025-01-07


    > Add endpoint for enrollment to 3D-Secure with Mastercard

    >

    > - [PUT
    /v1/accounts/{oid}/management/settings/connections/3d-secure-enrollment](#operation/aid_account_settings_connections_3ds_enrollment_post)


    > Set merchant category codes as a required field.

    >

    > - [POST
    /v1/accounts/{aid}/compliance-search/vmss/terminate](/management-auth-api/account-fraud-search/accounts_aid_search_vmss_terminate_merchant_post)


    ## 2025-01-01


    > Extend price package API with PUT price package endpoint for updating an

    > existing price package.

    >

    > - [PUT
    /v1/accounts/{oid}/management/price-packages/{price_package_id}](/management-auth-api/price-packages/aid_mgmnt_price_packages_put)


    ## 2024-12-09


    > Add endpoint for adding merchant to Visa Merchant Screening Service.

    > Make category and tradeOverInternet optional in VMSS inquiry request.

    >

    > - [POST
    /v1/accounts/{aid}/compliance-search/vmss/terminate](/management-auth-api/account-fraud-search/accounts_aid_search_vmss_terminate_merchant_post)

    > - [POST
    /v1/accounts/{aid}/compliance-search/vmss](/management-auth-api/account-fraud-search/accounts_aid_search_vmss_post)


    ## 2024-11-12


    > Add endpoint for querying Visa Merchant Screening Service.

    >

    > - [POST
    /v1/accounts/{aid}/compliance-search/vmss](/management-auth-api/account-fraud-search/accounts_aid_search_vmss_post)


    ## 2024-11-01


    > Extend partner API with additional optional read-only property for account

    > `prev_credit_rating`.

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - [GET
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - [POST
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)


    ## 2024-11-01


    > Add option to filter price packages by price package ID with new query
    parameter.

    >

    > - [GET
    /v1/accounts/{oid}/management/price-packages](/management-auth-api/price-packages/aid_mgmnt_price_packages_get)


    ## 2024-10-17


    > Add `pricing_conditions` to `price_package` to support defining pricing
    conditions for the price package.


    > - [POST
    /v1/accounts/{oid}/management/price-packages](/management-auth-api/price-packages/aid_mgmnt_price_packages_post)


    ## 2024-10-04


    > Remove requirement for `price_package_id` in `custom_price_package` when
    creating an account.


    > - [POST
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)


    ## 2024-10-03


    > Add endpoint for getting price package on account


    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}/price-package](/management-auth-api/account-price-package/aid_account_price_package_get)


    ## 2024-10-02


    > Revert adding endpoint and definitions for price package comparison


    ## 2024-10-01


    > Extend endpoint to support archiving active payout destination approvals.

    >

    > - [DELETE
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations/{id}](#aid_management_settings_approvals_payout_destinations_id_delete)


    ## 2024-09-11


    > **Break** Change body for sending termination inquiry

    > **Break** Change URL for MATCH search to avoid conflict with existing API

    > Add endpoint for adding a terminated merchant to MATCH

    > Add enum for termination reason code

    >

    > - [POST
    /v1/accounts/{aid}/compliance-search/match/terminate](/management-auth-api/account-fraud-search/accounts_aid_search_match_terminate_merchant_post)

    > - [POST
    /v1/accounts/{aid}/compliance-search/match](/management-auth-api/account-fraud-search/accounts_aid_search_match_post)

    > - [GET
    /v1/accounts/{aid}/compliance-search/match/{irn}](/management-auth-api/account-fraud-search/accounts_aid_search_match_get)


    ## 2024-09-06


    > Add endpoints for sending termination inquiry to Mastercard MATCH and
    fetching

    > result of a termination inquiry by its Inquiry Reference Number (IRN)

    >

    > - [POST
    /v1/accounts/{aid}/search/match](/management-auth-api/account-fraud-search/accounts_aid_search_match_post)

    > - [GET
    /v1/accounts/{aid}/search/match/{irn}](/management-auth-api/account-fraud-search/accounts_aid_search_match_get)


    ## 2024-08-13


    > - Add `custom_price_package` when creating an account. This property can
    be used to create a new custom price package for the account.

    > - Add new endpoint for comparing products in price packages.

    > - Add `creation_state` to price package properties to indicate if the
    price package is a custom price package or not.

    >

    > - [POST
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - [GET
    /v1/accounts/{oid}/management/price-packages/diff/{pid}](#operation/aid_mgmnt_price_packages_diff_pid_get)


    ## 2024-08-12


    > - Revert change to extend `invites` property when creating an account

    > - Add a new property `invite_users` property that replaces the extended
    spec

    > - for backwards compatibility, the `invites` property will still be
    supported

    > - [POST
    /v1/accounts/{aid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)


    ## 2024-08-06


    > Extend `invites` property when creating an account

    > with support for first name and last name.

    > Include optional `invitation_note` property when creating an account

    > that can be used to add a note to the invitation email.

    >

    > - [POST
    /v1/accounts/{aid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)


    ## 2024-07-01


    > Extend the account services with optional read-only features properties

    > to track the service feature requested by merchant and their current

    > status

    > Extend endpoint for updating account settings with support for

    > updating services features

    >

    > - [PUT
    /v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - [POST
    /management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)


    ## 2024-05-31


    > Extend partner API with additional optional read-only properties for
    account

    > with `most_expensive_product_price`, `gift_card_revenue_percentage`,

    > `credit_rating`, and `currency`

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - [GET
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)


    ## 2024-04-30


    > Add support for configuring TOTP MFA for account user

    >

    > - [PUT
    /v1/account/user/mfa/totp](/management-auth-api/account-users/account_user_mfa_totp_put)


    ## 2024-03-31


    > Add `form_submitter` to approvals. Add  `payout_interval_type` payout
    destination approvals.

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payments](/management-auth-api/approvals/aid_management_settings_approvals_payment_post)

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](/api-reference/approvals/aid_management_settings_approvals_payout_destinations_post)


    ## 2024-02-22


    > Add `invites` and `actions` to creation of account

    >

    > - [POST
    /v1/accounts/{aid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)


    ## 2024-02-01


    > Add new payment option `billie` when applying for payment methods

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payments](/management-auth-api/approvals/aid_management_settings_approvals_payment_post)


    ## 2024-01-01


    > Add new payment method `klarna.billie`

    >

    > - [POST
    /management/settings/connections/klarna](/management-auth-api/account-connections/aid_account_settings_connections_klarna_post)

    > - [GET
    /management/settings/connections/klarna](/management-auth-api/account-connections/aid_account_settings_connections_klarna_get)


    > Add new price package APIs. New endpoint for managing price packages

    > that can be used when creating new accounts via the partner API

    >

    > - [GET
    /v1/accounts/{oid}/management/price-packages](/management-auth-api/price-packages/aid_mgmnt_price_packages_get)

    > - [POST
    /v1/accounts/{oid}/management/price-packages](/management-auth-api/price-packages/aid_mgmnt_price_packages_post)

    > - [PUT
    /v1/accounts/{oid}/management/price-packages/{price_package_id}@custom-price-packages](#operation/aid_mgmnt_price_packages_ppid_custom_post)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}/price-packages](/management-auth-api/accounts/aid_account_settings_price_packages_put)


    ## 2023-12-01


    > Add endpoints for Visa Tokenization connection signup

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/connections/visa-tokens](#operation/aid_account_settings_connections_visa_tokens_post)

    > - [GET
    /v1/accounts/{aid}/management/settings/connections/visa-tokens](#operation/aid_account_settings_connections_visa_tokens_get)


    > Extend bambora connection with ability to set token_scope

    >

    > - [POST
    /management/settings/connections/bambora/{callback_reference}](/management-auth-api/account-connections/aid_account_settings_connections_bambora_callback_post)


    > Extend the account user with new aggrement property that can be used

    > to track the terms and conditions accepted by the account user

    >

    > - [POST
    /management/users](/management-auth-api/account-users/aid_accounts_aid_mgmnt_users_post)

    > - [PUT
    /management/users/{uid}](/management-auth-api/account-users/aid_accounts_aid_mgmnt_users_put)

    > - [GET /account/user](/management-auth-api/account-users/account_user_get)


    ## 2023-11-01


    > Extend partner API with additional optional properties for account

    > with `price_package`, `sale_channel` remove unsupported

    > `statistics.latest`

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)


    > Extend partner API with additional optional read-only properties for
    account

    > with `payment_case_status`, `projected_sales`, `average_transaction_value`

    > `merchant_category_code` and `delivery_timeline`

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)


    > Add new endpoint for archiving payout destination approvals that are not
    active.

    >

    > - [DELETE
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations/{id}](#aid_management_settings_approvals_payout_destinations_id_delete)


    ## 2023-09-01


    > Add new endpoint for posting Bambora Direct connection

    >

    > - [POST
    /management/settings/connections/bambora-direct](/management-auth-api/account-connections/aid_account_settings_connections_bambora_direct_post)

    >

    > NB! **Deprecates** old Bambora connection endpoint:

    >

    > - [POST
    /management/settings/connections/bambora](/management-auth-api/account-connections/aid_account_settings_connections_bambora_post)


    ## 2023-08-01


    > Extend partner API with additional properties for account with

    > `statistics.metrics`, `permissions`, `company` and applicant.

    >

    > - [POST
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](#tagoperation/aid_accounts_aid_put)

    > - [POST
    /v1/accounts/{oid}/signup](/management-auth-api/account-onboarding/accounts_oid_signup_post)


    ## 2023-06-01


    > Extend response bodies with `approvals_payments_statuses`  and
    `approvals_payout_destinations_statuses` for partners accounts management.

    >

    > - [POST
    /management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - [GET
    /management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - [GET
    /management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)

    > - [PUT
    /management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - [DELETE
    /management/accounts/{aid}](/management-auth-api/accounts/aid_mgmnt_accounts_aid_delete)


    > Add new endpoints for managing Bambora PayFac connections

    >

    > - [POST
    /management/settings/connections/bambora-payfac](/management-auth-api/account-connections/aid_account_settings_connections_bambora_payfac_post)

    > - [GET
    /management/settings/connections/bambora-payfac](#operation/aid_account_settings_connections_bambora_payfac_get)


    ## 2023-04-01


    > Add new endpoints for managing Klarna connection

    >

    > - [POST
    /management/settings/connections/klarna](/management-auth-api/account-connections/aid_account_settings_connections_klarna_post)

    > - [GET
    /management/settings/connections/klarna](/management-auth-api/account-connections/aid_account_settings_connections_klarna_get)


    ## 2023-01-20


    > Extend applicants with optional signup_reference.


    ## 2022-10-06


    > Payout destinations are now referred to as Sellers, the data model is
    unchanged.


    ## 2022-07-01


    > **Break** Require `includes=events.case.contracts` to get CDD contract
    details

    > from cases endpoint. The default response will now by default exclude
    contract

    > details from response

    >

    > - [GET
    /v1/accounts/{aid}/management/settings/cdd/cases](/management-auth-api/account-cdd/aid_management_settings_cdd_cases_get)


    ## 2022-06-01


    > Add support for filtering sub-accounts on `connection`,
    `connection_status` and `payment_options`

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)


    ## 2022-05-01


    > Add support for including `payout_destination_name` and

    > `payout_destination_description` properties when creating diligence cases

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/cdd/cases](/management-auth-api/account-cdd/aid_management_settings_cdd_cases_post)

    > - [GET
    /v1/accounts/{aid}/management/settings/cdd/cases](/management-auth-api/account-cdd/aid_management_settings_cdd_cases_get)

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](/api-reference/approvals/aid_management_settings_approvals_payout_destinations_post)

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](/api-reference/approvals/aid_management_settings_approvals_payout_destinations_get)


    > Add support for updating `payex`, `collector`, `swish` and `bambora`
    connections

    >

    > - [POST
    /v1/accounts/{oid}/management/accounts/{aid}/connections/{connection}/events](/management-auth-api/accounts/aid_accounts_aid_connections_events_post)


    ## 2022-04-01


    > Add support for customer user login via Open ID connect. Configure `oidc`
    in

    > the client grant and use the new authorize endpoint to let the user be

    > verified and identified by external authorization server. The
    authorization

    > code received after authorization received by the user can be used to get
    a

    > Dintero access token via the token endpoint

    >

    > - [POST
    /v1/accounts/{oid}/auth/client-grants](/management-auth-api/grants/aid_auths_client_grants_post)

    > - [GET
    /v1/accounts/{oid}/auth/oidc/authorize](/management-auth-api/authenticate/aid_auths_oidc_authorize_get)

    > - [POST
    /v1/accounts/{oid}/auth/oidc/token](/management-auth-api/authenticate/aid_auths_oidc_token_post)


    ## 2022-02-08


    > Add new endpoints for initiating a new payout destination application and
    listing payout destination applications

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](/api-reference/approvals/aid_management_settings_approvals_payout_destinations_post)

    > - [GET
    /v1/accounts/{aid}/management/settings/approvals/payout-destinations](/api-reference/approvals/aid_management_settings_approvals_payout_destinations_get)


    ## 2022-02-01


    > Add endpoint for adding Vipps overrides

    >

    > - [PUT
    /v1/accounts/{aid}/management/settings/connections/vipps/overrides](/management-auth-api/account-connections/aid_account_settings_connections_vipps_overrides_put)


    ## 2021-10-01


    > Add endpoints for managing customer due diligence cases

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/cdd/cases](/management-auth-api/account-cdd/aid_management_settings_cdd_cases_post)

    > - [GET
    /v1/accounts/{aid}/management/settings/cdd/cases](/management-auth-api/account-cdd/aid_management_settings_cdd_cases_get)


    ## 2021-06-01


    > Add support for configuring SMS MFA for account user

    >

    > - [PUT
    /v1/account/user/mfa/sms](/management-auth-api/account-users/account_user_mfa_sms_put)


    ## 2021-05-01


    > Add support for `phone_number` in `account.company` and `account.billing`

    >

    > - [PUT
    /v1/accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)


    > Add new endpoints for managing Bambora connection

    >

    > - [POST
    /management/settings/connections/bambora](/management-auth-api/account-connections/aid_account_settings_connections_bambora_post)

    > - [GET
    /management/settings/connections/bambora](/management-auth-api/account-connections/aid_account_settings_connections_bambora_get)

    > - [POST
    /management/settings/connections/bambora/{callback_reference}](/management-auth-api/account-connections/aid_account_settings_connections_bambora_callback_post)


    ## 2021-04-01


    > Add support for `account_manager`

    >

    > - [POST
    /accounts/{oid}/signup](/management-auth-api/account-onboarding/accounts_oid_signup_post)

    > - [POST
    /accounts/{oid}/signup/prefill](/management-auth-api/account-onboarding-prefill/accounts_oid_signup_prefill_post)

    > - [GET
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)


    > Add support for filter on services and connections.

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)


    > Extend the Account to support new properties, `progression`, `reseller_id`
    and

    `statistics` to services.

    >

    > - [GET
    /v1/accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)

    > - [PUT
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_get)


    > Add support for account events.

    >

    > - [POST
    /v1/accounts/{oid}/management/accounts/{aid}/events](/management-auth-api/accounts/aid_mgmnt_accounts_events_post)

    > - [GET
    /v1/accounts/{oid}/management/accounts/{aid}/events](/management-auth-api/accounts/aid_mgmnt_accounts_events_get)


    ## 2021-03-01


    > Make Swish cert and passphrase not required

    >

    > - [POST
    /v1/accounts/{aid}/management/settings/connections/swish/{callback_reference}](/management-auth-api/account-connections/aid_account_settings_connections_swish_callback_post)


    > Add support for changing account user password

    >

    > - [PUT
    /v1/accounts/{aid}/account/user/password](/management-auth-api/account-users/account_user_password_put)


    > Add support for `authorize` when verifying a signup.

    >

    > - [POST
    /v1/accounts/{aid}/signup/verify](/management-auth-api/account-onboarding/accounts_oid_signup_verify_post)


    ## 2021-02-01


    > Document `429 Too Many Requests` response from

    >

    > - [POST
    /v1/accounts/{aid}/auth/token](/api-reference/authenticate/aid_auths_oauth_token_post)

    > - [POST
    /v1/accounts/{aid}/auth/passwordless](/management-auth-api/authenticate/aid_auth_account_passwordless_post)


    > **Break**: Require `ident_type` and `ident` to be include when requesting
    token

    > with `grant_type=authorization_code`

    >

    > - [POST
    /v1/accounts/{aid}/auth/token](/api-reference/authenticate/aid_auths_oauth_token_post)


    > Add support for sending verification code for passwordless login via SMS,
    and

    > `session_id={uuid} to resend the same verification code again

    > Remove unsupported request options,`send=link` and `type=account`.

    >

    > - [POST
    /v1/accounts/{aid}/auth/passwordless](/management-auth-api/authenticate/aid_auth_account_passwordless_post)


    ## 2021-01-01


    > Add support for logging on without MFA even if configured with MFA

    >

    > - [POST
    /v1/accounts/{oid}/auth/token](/api-reference/authenticate/aid_auths_oauth_token_post)


    > Add support for managing account users scopes with roles.

    >

    > - [Roles](#tag/roles)

    > - [POST
    /management/users](/management-auth-api/account-users/aid_accounts_aid_mgmnt_users_post)

    > - [PUT
    /management/users/{uid}](/management-auth-api/account-users/aid_accounts_aid_mgmnt_users_put)


    ## 2020-11-01


    > Extend the endpoint for getting user accounts to include the accounts

    > `display_name` and `icon_url`.

    >

    > - [GET /account/user](/management-auth-api/account-users/account_user_get)


    > Add support for account users authenticated by external Identity
    providers.

    > External authentication is limited to account users created with

    > `authentication_type=external`.

    >

    > - [POST
    /management/users](/management-auth-api/account-users/aid_accounts_aid_mgmnt_users_get)

    >

    > Following endpoints has been updated to allow Bearer authorization using

    > ID token issued by external Identity provider.

    >

    > - [GET /account/user](/management-auth-api/account-users/account_user_get)

    > - [POST
    /auth/token](/api-reference/authenticate/aid_auths_oauth_token_post)

    >

    > Account has been updated with `jwks.uri` property that is required to

    > validate the ID tokens issued by external identity providers.


    ## 2020-09-01


    > Add new endpoint for handling HTTP redirect with ID token query parameter

    >

    > - [POST
    /auth/redirect](/management-auth-api/authenticate/aid_auths_oauth_redirect_post)


    > Add new endpoint for uploading assets

    >

    > - [POST /management/assets](#tag/account-assets)


    ## 2020-07-01


    > Add new endpoints for managing Swish connection

    >

    > - [POST
    /management/settings/connections/swish](/management-auth-api/account-connections/aid_account_settings_connections_swish_post)

    > - [GET
    /management/settings/connections/swish](/management-auth-api/account-connections/aid_account_settings_connections_swish_get)

    > - [POST
    /management/settings/connections/swish/{callback_reference}](/management-auth-api/account-connections/aid_account_settings_connections_swish_callback_post)


    ## 2020-05-01


    > Extend the AccountCompany with `email` and `technical_email`

    >

    > - [PUT
    /accounts/{aid}/management/settings](/management-auth-api/account-settings/aid_account_settings_put)

    > - [POST
    /accounts/{oid}/management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_post)

    > - [PUT
    /accounts/{oid}/management/accounts/{aid}](/management-auth-api/accounts/aid_accounts_aid_put)


    ## 2020-01-31


    > Add support for `applicant.agreement.attachments`

    >

    > - [POST
    /accounts/{oid}/signup](http://localhost:8080/management-auth-api/account-onboarding/accounts_oid_signup_post)

    >


    > Add support for enabling MFA (OOB) for auth users.

    >

    > - [POST /auth/users](/management-auth-api/auth-users/aid_auth_users_post)


    ## 2019-12-31


    > Extend the AccountApplicant with support for

    > `promo_code` and utm campaign codes.

    >

    > - [POST
    /signup](/management-auth-api/account-onboarding/accounts_oid_signup_post)


    ## 2019-11-31


    > Add support for creating client with description

    >

    > - [POST /auth/clients](/management-auth-api/clients/aid_auth_clients_post)


    ## 2019-09-31


    > Extend settings with PayEx connections

    >

    > - [GET
    /management/settings](/management-auth-api/account-settings/aid_account_aid_get)

    > - [GET
    /management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)


    ## 2019-07-31


    > Add new endpoints for managing PayEx connection

    >

    > - [POST
    /management/settings/connections/payex/{payment_product_type}](/management-auth-api/account-connections/aid_account_settings_connections_payex_post)

    > - [GET
    /management/settings/connections/payex/{payment_product_type}](/management-auth-api/account-connections/aid_account_settings_connections_payex_get)

    > - [POST
    /management/settings/connections/payex/{payment_product_type}/{callback_reference}](/management-auth-api/account-connections/aid_account_settings_connections_payex_callback_post)


    ## 2019-06-31


    > The scope required for accessing endpoint has changed,

    > we will continue to support the old scopes but they was removed from

    > the documentation


    > Support `search`, `limit` and `starting_after` query parameter

    > when listing partner accounts

    >

    > - [GET
    /management/accounts](/management-auth-api/accounts/aid_mgmnt_accounts_get)


    > Support for issuing exchange token for a sub-account,

    > to allow partner accounts to manage sub accounts.

    >

    > - [POST
    /auth/impersonate_token](/management-auth-api/authenticate/aid_auths_oauth_exchange_token_post)


    ## 2019-05-31


    > Support for including a Refresh Token when requesting

    > an Access Token. Use `grant-type=refresh_token` to get an Access Token

    > from a Refresh Token.

    >

    > - [POST
    /auth/token](/api-reference/authenticate/aid_auths_oauth_token_post)


    > Support for revoking a Refresh Token

    >

    > - [POST
    /auth/revoke](/management-auth-api/authenticate/aid_auths_oauth_revoke_post)


    ## 2018-12-17


    > Rename typo in Account definition

    > All `bussiness_name` properties renamed to `business_name`
  contact:
    name: API Integration Support
    email: integration@dintero.com
  version: LATEST
  license:
    name: UNLICENSED
    url: https://dintero.com
servers:
  - url: https://api.dintero.com/v1
security:
  - JWT: []
tags:
  - name: auth users
    x-displayName: users
    description: Admin users
  - name: account users
    x-displayName: users
    description: |
      Admin user for an account. The user is allowed to manage the
      account and administrate access via client/grants
  - name: onboarding
    description: |
      Onboard a merchant to the Dintero platform
  - name: account-onboarding
    x-displayName: account
    description: |
      Manage the signup of a new merchant account
  - name: account-onboarding-prefill
    x-displayName: account-prefill
    description: |
      Manage prefilled signup of a new merchant account
  - name: account-connections
    x-displayName: connections
    description: |
      Manage setup of account connections to external services
  - name: account-settings
    x-displayName: settings
    description: Manage account settings
  - name: connection-onboarding
    x-displayName: connections
    description: |
      Manage the setup of a new account connection
  - name: account-fraud-search
    x-displayName: searches
    description: |
      Search external registers for any issues related to the account
  - name: account-assets
    x-displayName: assets
    description: |
      Manage account assets
  - name: account-stores
    x-displayName: stores
    description: |
      Manage account stores
  - name: account-terminals
    x-displayName: terminals
    description: |
      Manage account terminals
  - name: account-cdd
    x-displayName: due diligence
    description: |
      Manage account KYC/AML cases
  - name: approvals
    x-displayName: approvals
    description: |
      Account approval processes
  - name: price-packages
    x-displayName: price packages
    description: Manage price packages for the account
  - name: payout-destinations
    x-displayName: payout destinations
    description: |
      Payout destinations
  - name: payout-instructions
    x-displayName: payout instructions
    description: |
      A payout instruction is owned by and entity and instructs how
      payout will be done to the entity

      The instructions includes information about transfer instruments is
      enabled and what transfer instruments to use given a specific payout
      currency
  - name: account-price-package
    x-displayName: price package
    description: Manage price package on the account
paths:
  /accounts/{oid}/management/accounts:
    get:
      tags:
        - accounts
      summary: aid_mgmnt_accounts_get
      description: |
        Get list of accounts filtered by the partner account

        scopes:
        - admin:accounts
        - read:accounts
      operationId: aid_mgmnt_accounts_get
      parameters:
        - $ref: '#/components/parameters/owner'
        - name: search
          description: |
            lookup accounts where search term match account id
          in: query
          schema:
            type: string
        - name: connection
          in: query
          description: >
            Filter accounts by payment connection applications.


            Will return an account if it has applied, been approved or rejected
            for all the given connections.


            Example:
            `connection=payex&connection=vipps&connection=collector&connection=swish`
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: connection_status
          in: query
          description: >
            Filter accounts by connection status


            Will return an account if all statuses are represented among the
            connections.


            If the `connection`-filter is set, it will filter on the status only
            on those connections.


            Example:
            `connection_status=pending&connection_status=enabled&connection_status=declined`
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: payment_option
          in: query
          description: >
            Filter account by enabled payment_options


            Will return an account if all the given payment_options are enabled
            on the account.


            Example:
            `payment_option=payex.creditcard&payment_option=vipps&payment_option=collector.invoice`
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: account_manager
          in: query
          description: |
            filter account by account_manager
          explode: true
          schema:
            type: array
            items:
              type: string
        - name: country
          in: query
          description: |
            filter account by country
          example:
            - SE
            - 'NO'
          explode: true
          schema:
            type: array
            items:
              type: string
            minLength: 2
            maxLength: 2
        - name: services
          in: query
          description: |
            filter account by service status
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - checkout.status.enabled
                - checkout.status.disabled
                - payout.status.enabled
                - payout.status.disabled
                - customers.status.enabled
                - customers.status.disabled
                - discounts.status.enabled
                - discounts.status.disabled
                - shopping.status.enabled
                - shopping.status.disabled
                - receipts.status.enabled
                - receipts.status.disabled
                - wallets.status.enabled
                - wallets.status.disabled
                - ledger.status.enabled
                - ledger.status.disabled
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/startingAfter'
      responses:
        '200':
          $ref: '#/components/responses/ExtendedAccountCollection'
        '401':
          $ref: '#/components/responses/AccessForbidden'
        '403':
          $ref: '#/components/responses/Forbidden'
        '500':
          $ref: '#/components/responses/ServerError'
      security:
        - JWT: []
components:
  parameters:
    owner:
      name: oid
      description: |
        An id that uniquely identifies the account or owner (partner)
      in: path
      required: true
      schema:
        type: string
        format: ^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$
    limit:
      name: limit
      in: query
      description: |
        A limit on the number of objects to be returned. Limit can range
        between 1 and 100 items, and the default is 10 items.
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
    startingAfter:
      name: starting_after
      in: query
      description: |
        cursor for use in pagination. starting_after is an object ID
        that defines your place in the list. For instance, if you make
        a list request and receive 100 objects, end the result contains
          `paging_token=pt1`, your subsequent call can include
        `starting_after=pt1` in order to fetch the next page of the list.
      required: false
      schema:
        type: string
  responses:
    ExtendedAccountCollection:
      description: List of Accounts
      content:
        application/json:
          schema:
            type: array
            items:
              $ref: '#/components/schemas/ExtendedAccount'
    AccessForbidden:
      description: Access forbidden, invalid JWT token was used
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    ServerError:
      description: Unexpected Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    ExtendedAccount:
      allOf:
        - $ref: '#/components/schemas/Account'
        - $ref: '#/components/schemas/AccountPrivateDetails'
        - $ref: '#/components/schemas/AccountReadOnly'
        - $ref: '#/components/schemas/AccountApprovals'
        - type: object
          properties:
            configuration:
              $ref: '#/components/schemas/PartnerConfiguration'
    Error:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          required:
            - message
          properties:
            code:
              type: string
              description: The code used to identify the error/warning
            errors:
              type: array
              description: The nested error(s) encountered during validation
              items:
                type: object
            message:
              type: string
              description: The human readable description of the error/warning
    Account:
      type: object
      allOf:
        - $ref: '#/components/schemas/Entity'
        - $ref: '#/components/schemas/AccountJwks'
        - $ref: '#/components/schemas/AccountPaymentSummary'
        - required:
            - applicant
            - company
            - billing
          properties:
            applicant:
              description: The individual completing the account registration
              allOf:
                - $ref: '#/components/schemas/AccountApplicant'
                - properties:
                    agreement:
                      type: object
                      properties:
                        accepted_at:
                          description: |
                            defines the date of the account terms and conditions
                            agreement in ISO 8601 format with a timezone
                          type: string
                          format: date-time
                          readOnly: true
            company:
              $ref: '#/components/schemas/AccountCompany'
            billing:
              $ref: '#/components/schemas/AccountBilling'
            subscription:
              $ref: '#/components/schemas/Subscription'
            attachments:
              type: array
              items:
                $ref: '#/components/schemas/Attachment'
            account_id:
              type: string
              description: The id that uniquely identifies the account.
              readOnly: true
            partner_id:
              type: string
              description: The id of the partner associated with the account
              format: ^[PT]{1}(?=(?:.{3})$)[0-9]*$
              readOnly: true
            livemode:
              type: boolean
              description: |
                Flag indicating whether the account exists in live
                mode and test mode.
              default: false
            active:
              type: boolean
              description: The account is active
              default: false
              readOnly: true
            language_code:
              type: string
              description: |
                The preferred language for the account as defined by
                <a href="https://tools.ietf.org/html/bcp47">BCP 47</a>
                (IETF BCP 47, "Tags for Identifying Languages").
            platform_type:
              type: string
              description: |
                Optional type of platform for merchants using split payout.
              readOnly: true
              enum:
                - marketplace
                - aggregator
            allowed_merchant_category_codes:
              type: array
              description: >-
                Restricts the MCC codes available for selection during merchant
                onboarding.
              items:
                type: string
                pattern: ^\d{4}$
    AccountPrivateDetails:
      type: object
      description: |
        Account properties that are private and managed by the
        root partner.
      properties:
        progression:
          type: string
          enum:
            - applied
            - live
            - frozen
            - deactivated
          description: |
            Status assigned to the account by the account partner
            > value is not visible for the merchant.
        reseller_id:
          type: string
          description: |
            Reseller id assigned by the account partner
            > value is not visible for the merchant
          example: DINTERO_ACCOUNT:99900000
        account_manager:
          type: object
          required:
            - email
          description: |
            Account manager responsible for the account.
            > value is not visible for the merchant
          properties:
            email:
              type: string
              example: employee@dintero.com
        permissions:
          description: List the permission granted the account
          type: array
          items:
            type: object
            required:
              - effect
              - action
            properties:
              effect:
                type: string
                enum:
                  - allow
                  - deny
              action:
                type: array
                minItems: 1
                maxItems: 1
                items:
                  type: string
                  enum:
                    - checkout:auto_capture
                    - notifications:publish
        sale_channel:
          type: string
          enum:
            - DIRECT
            - INBOUND
            - PARTNER
            - REFERRAL
        price_package:
          type: string
        statistics:
          type: object
          description: Statistics for the account
          properties:
            checkout_captures:
              description: Statistics about transactions captured
              type: array
              readOnly: true
              items:
                $ref: '#/components/schemas/ReportedVolume'
              example:
                - type: monthly
                  periode: 2023-09
                  currency: NOK
                  volume: 3921930
                  count: 131
                - type: weekly
                  periode: 2023-W33
                  currency: NOK
                  volume: 980482
                  count: 32
            metrics:
              description: key metrics about the account
              properties:
                checkout:transaction:first_capture_at:
                  type: string
                  format: datetime
                checkout:transaction:last_capture_at:
                  type: string
                  format: datetime
        services:
          type: object
          properties:
            checkout:
              type: object
              required:
                - features
              properties:
                features:
                  $ref: '#/components/schemas/CheckoutServiceFeatures'
            payout:
              required:
                - features
              properties:
                features:
                  $ref: '#/components/schemas/PayoutAccountService'
    AccountReadOnly:
      type: object
      properties:
        connections:
          type: object
          readOnly: true
          description: |
            Connections to external services registered on the merchant account
          properties:
            applepay:
              $ref: '#/components/schemas/ApplePayConnection'
            bambora:
              $ref: '#/components/schemas/BamboraConnection'
            collector:
              $ref: '#/components/schemas/CollectorConnection'
            common:
              $ref: '#/components/schemas/CommonConnection'
            dintero_psp:
              $ref: '#/components/schemas/DinteroPspConnection'
            instabank:
              $ref: '#/components/schemas/InstabankConnection'
            klarna:
              $ref: '#/components/schemas/KlarnaConnection'
            kravia:
              $ref: '#/components/schemas/KraviaConnection'
            mastercard_3ds:
              $ref: '#/components/schemas/Mastercard3DSConnection'
            mastercard_tokenization:
              $ref: '#/components/schemas/MastercardTokenizationConnection'
            payex:
              $ref: '#/components/schemas/PayExConnectionV2'
            swish:
              $ref: '#/components/schemas/SwishConnection'
            two:
              $ref: '#/components/schemas/TwoConnection'
            vipps:
              $ref: '#/components/schemas/VippsConnection'
            vipps_psp:
              $ref: '#/components/schemas/VippsPspConnection'
            visa_tokenization:
              $ref: '#/components/schemas/VisaTokenizationConnection'
        services:
          type: object
          readOnly: true
          description: |
            Status on services enabled on the merchant account
          properties:
            checkout:
              $ref: '#/components/schemas/CheckoutAccountService'
            customers:
              $ref: '#/components/schemas/AccountService'
            discounts:
              $ref: '#/components/schemas/AccountService'
            shopping:
              $ref: '#/components/schemas/AccountService'
            receipts:
              $ref: '#/components/schemas/AccountService'
            wallets:
              $ref: '#/components/schemas/AccountService'
            payout:
              $ref: '#/components/schemas/PayoutAccountService'
            ledger:
              $ref: '#/components/schemas/AccountService'
    AccountApprovals:
      type: object
      properties:
        approvals_payments_statuses:
          type: object
          description: Count of statuses of payments approvals
          properties:
            ACTIVE:
              type: number
            DECLINED:
              type: number
            UNDER_MANUAL_REVIEW:
              type: number
            AUTOMATIC_REVIEW:
              type: number
            WAITING_FOR_SIGNATURE:
              type: number
            WAITING_FOR_DECLARATION:
              type: number
            WAITING_FOR_DETAILS:
              type: number
            ERROR:
              type: number
            ARCHIVED:
              type: number
            TERMINATED:
              type: number
        approvals_payout_destinations_statuses:
          type: object
          description: >-
            Count of statuses of payout destinations approvals (aka seller
            approvals)
          properties:
            ACTIVE:
              type: number
            DECLINED:
              type: number
            UNDER_MANUAL_REVIEW:
              type: number
            AUTOMATIC_REVIEW:
              type: number
            WAITING_FOR_SIGNATURE:
              type: number
            WAITING_FOR_DECLARATION:
              type: number
            WAITING_FOR_DETAILS:
              type: number
            ERROR:
              type: number
            ARCHIVED:
              type: number
            TERMINATED:
              type: number
    PartnerConfiguration:
      type: object
      description: |
        Configuration options for the account.
      properties:
        default_price_package:
          type: string
          description: >
            Default price package to assign to new merchants.


            Use the price package ID of the price package.


            Please note that the price package must exist and be available to
            the

            partner account in question.
    Entity:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: |
            An UUID that uniquely identifies the resource
          readOnly: true
        created_at:
          type: string
          format: date-time
          description: |
            The date-time when the resource was created
          readOnly: true
        created_by:
          type: string
          example: 1c92f7e1-2897-4d46-bdcc-c127a914fb4e
          description: |
            The ID of the user/client created the resource
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: |
            The date-time when the resource was last updated
          readOnly: true
        deleted_by:
          type: string
          example: 1c92f7e1-2897-4d46-bdcc-c127a914fb4e
          description: |
            The ID of the user/client created the resource
          readOnly: true
        deleted_at:
          type: string
          format: date-time
          readOnly: true
    AccountJwks:
      type: object
      properties:
        jwks:
          readOnly: true
          description: |
            Alternative JWKS configured for validating access token issued by
            external authentication.
          required:
            - name
            - uri
          properties:
            name:
              description: |
                Short name identifying the issuer.
              type: string
            uri:
              type: string
              format: uri
              example: >-
                https://cognito-idp.{region}.amazonaws.com/{userPoolId}/.well-known/jwks.json
    AccountPaymentSummary:
      type: object
      properties:
        payment_case_status:
          allOf:
            - $ref: '#/components/schemas/ApprovalStatus'
            - readOnly: true
        projected_sales:
          type: string
          readOnly: true
          description: Projected sales declared by merchant.
        average_transaction_value:
          type: string
          readOnly: true
        merchant_category_code:
          type: string
          readOnly: true
          description: Merchant category code declared by merchant.
          format: mcc
        delivery_timeline:
          type: string
          readOnly: true
          enum:
            - P0W
            - P1D
            - P2D
            - P5D
            - P2W
            - P4W
            - P12W
            - P1Y
        most_expensive_product_price:
          type: string
          readOnly: true
          description: Price of most expensive product declared by merchant.
        gift_card_revenue_percentage:
          type: string
          readOnly: true
          description: |
            Percentage of revenue coming from gift card transactions
            declared by merchant.
        credit_rating:
          type: string
          readOnly: true
          description: The most recent credit rating of the merchant.
        prev_credit_rating:
          type: string
          readOnly: true
          description: The previous credit rating of the merchant.
        currency:
          type: string
          enum:
            - NOK
            - SEK
            - DKK
            - EUR
          readOnly: true
          description: >
            The currency of the various values declared by the merchant, such as

            `most_expensive_product_price`, `average_transaction_value`, and so
            on.
    AccountApplicant:
      type: object
      required:
        - email
        - agreement
      properties:
        first_name:
          type: string
          example: John
        last_name:
          type: string
          example: Doe
        email:
          type: string
          example: customer@example.com
        phone_number:
          type: string
          description: |
            A phone number in E.164 number formatting.
          format: ^\+?[1-9]\d{1,14}$
          example: '+4799999999'
        agreement:
          $ref: '#/components/schemas/AccountAgreement'
        recaptcha_sitekey:
          type: string
          description: |
            The public site key used for reCAPTCHA
          example: 6LdE_pIUAAAAAHbiL0uHjHg2Mgn2IILTvZdA_Ux-
        recaptcha_response:
          type: string
          description: |
            A response from a reCAPTCHA check
          example: >-
            03AOLTBLSbzmXKXuAz9N--DsZ1xWmhfx6okCheBPesOsNmRSdkfcO4E5CkeBQQFJkC_emfE_KF0P8C3T57Nr9eOon_PVTEIq1NUpRS5oGkGMhr1vxVe1F7txMYUc4ClxUDLxWiW5WgnDvWHC7gOnlJZKvxVE4gn7qAJijE6SFMXkvFOwoWcx_kONmBHGnXHGgxIe2M8G-FkIKr0WZbQIDYmDaiQxb6mL1L70UGOyO280v2Pp65JB1mSohdeJLdQhHeye6v6__H9_M0GxDGd8s-LoLUY5Vq9hKbAs8MCsh2OFwtpbTYGfqmDbTwsc2v8SqOOZ86uKXwl7gyk3RHXT27m8Rv8iZAs2Ym5w
        promo_code:
          type: string
          description: Promotion code
        signup_reference:
          type: string
          description: >-
            An optional reference that can be used to identify the signup when
            the account has been created.
        utm:
          $ref: '#/components/schemas/UtmCampaign'
    AccountCompany:
      description: |
        The details of an account company
      type: object
      required:
        - business_name
        - address
      properties:
        business_name:
          type: string
          example: TKP tech AS
        display_name:
          type: string
          example: TKP tech instore AS
          description: >-
            The name of the company as displayed in Dintero systems. If not set,
            defaults to business_name.
        organization_number:
          type: string
          description: Companys identification number
          example: 123456789MVA
        industry:
          type: string
          example: computer industry
        website:
          type: string
          format: uri
          maxLength: 120
        terms_url:
          type: string
          format: uri
          maxLength: 240
        bank_name:
          type: string
          description: The name of the bank where the company's bank account is
        account_number:
          type: string
          description: The company's bank account number
        address:
          $ref: '#/components/schemas/Address'
        email:
          type: string
          format: email
          example: contact@business.dintero.com
        technical_email:
          type: string
          format: email
          example: tech_support@business.dintero.com
          description: |
            Technical email. Dintero will use this email when contacting
            the company about technical issues.
        phone_number:
          type: string
          pattern: ^\+?\d{5,15}$
          description: |
            mobile number of a person / company, ITU/E.123 format with
            international prefix (+PPNNNNNNNNN...)
        branding:
          type: object
          properties:
            icon_url:
              description: >
                Url to icon. The image should have equal height and width,
                around 50px.


                Will be used to personalize the backoffice and checkout.
              type: string
              format: uri
              maxLength: 240
            logo_url:
              description: |
                Url to logo. Will be used in receipts, emails, etc.
              type: string
              format: uri
              maxLength: 240
        merchant_category_code:
          type: string
          format: mcc
        average_transaction_value:
          type: string
        most_expensive_product_price:
          type: string
        projected_sales:
          type: string
        terms:
          type: array
          description: >
            Terms of company account. If `terms_url` is set, this property will
            include a term of type `all` that corresponds to the `terms_url`.

            If the opposite is true, `terms_url` will be set corresponding to
            the first term of type `all`.
          items:
            allOf:
              - $ref: '#/components/schemas/AccountCompanyTerms'
        contacts:
          type: array
          items:
            $ref: '#/components/schemas/AccountCompanyContact'
        public_business_name:
          type: string
          example: TKP tech
          description: Public name of the business, as displayed to customers
    AccountBilling:
      description: |
        The details of the billing for the account
      type: object
      required:
        - business_name
        - address
      properties:
        business_name:
          type: string
          example: TKP tech AS
        organization_number:
          type: string
          description: Companys identification number
          example: 123456789MVA
        address:
          $ref: '#/components/schemas/Address'
        email:
          description: Billing email
          type: string
          example: billing@business.dintero.com
        reference:
          description: Billing reference
          type: string
          maxLength: 120
        phone_number:
          type: string
          pattern: ^\+?\d{5,15}$
          description: |
            mobile number of a person / company, ITU/E.123 format with
            international prefix (+PPNNNNNNNNN...)
        billing_statement:
          $ref: '#/components/schemas/AccountBillingStatement'
    Subscription:
      type: object
      description: Subscription plan for the account
      required:
        - interval
        - plan
      properties:
        interval:
          type: string
          description: |
            The frequency with which a subscription should be billed.
          enum:
            - month
            - year
        plan:
          type: string
          description: |
            The price plan which a billing is based on
          enum:
            - transaction_fee
            - per_customer_fee
        support:
          type: string
          description: The support service enabled
          enum:
            - office_hours
            - 24_7_extended
        metadata:
          type: object
          maxProperties: 40
          description: |
            A set of key/value pairs that you can attach to a subscription
            object. It can be useful for storing additional information about
            the subscription in a structured format.
    Attachment:
      description: >
        An attachment is a file or document associated with a reference and a
        uri.
      type: object
      required:
        - ref
        - href
      properties:
        ref:
          type: string
          description: |
            The reference to the attachment.
        href:
          type: string
          format: uri
          description: |
            The URI of the attachment.
    ReportedVolume:
      type: object
      required:
        - type
        - period
        - currency
        - volume
        - count
      properties:
        type:
          type: string
          enum:
            - monthly
            - weekly
        period:
          type: string
          description: |
            Format depend on type, e.g. `2023-09` for monthly and `2023-W40`
            for weekly
          format: iso-8601
        currency:
          type: string
          format: iso-4217
        volume:
          type: integer
        count:
          type: integer
    CheckoutServiceFeatures:
      type: object
      properties:
        applepay:
          $ref: '#/components/schemas/ServiceFeature'
        billie:
          $ref: '#/components/schemas/ServiceFeature'
        clicktopay:
          $ref: '#/components/schemas/ServiceFeature'
        collector:
          $ref: '#/components/schemas/ServiceFeature'
        creditcard:
          $ref: '#/components/schemas/ServiceFeature'
        googlepay:
          $ref: '#/components/schemas/ServiceFeature'
        instabank:
          $ref: '#/components/schemas/ServiceFeature'
        klarna:
          $ref: '#/components/schemas/ServiceFeature'
        mobilepay:
          $ref: '#/components/schemas/ServiceFeature'
        santander:
          $ref: '#/components/schemas/ServiceFeature'
        swish:
          $ref: '#/components/schemas/ServiceFeature'
        vipps:
          $ref: '#/components/schemas/ServiceFeature'
        kravia:
          $ref: '#/components/schemas/ServiceFeature'
        two:
          $ref: '#/components/schemas/ServiceFeature'
        ipp:
          $ref: '#/components/schemas/ServiceFeature'
    PayoutAccountService:
      allOf:
        - $ref: '#/components/schemas/AccountService'
        - properties:
            features:
              $ref: '#/components/schemas/PayoutServiceFeatures'
    ApplePayConnection:
      allOf:
        - $ref: '#/components/schemas/AccountConnection'
        - required:
            - signups
            - configuration
          properties:
            configuration:
              $ref: '#/components/schemas/ApplePayConnectionConfiguration'
            signups:
              type: array
              description: |
                The signups received for this account.

                Will be unique per `case_id` and `store_id`.
              items:
                allOf:
                  - $ref: '#/components/schemas/ApplePayConnectionSignup'
                  - required:
                      - created_at
                    properties:
                      created_at:
                        description: |
                          The time when signup was initiated
                        type: string
                        format: date-time
    BamboraConnection:
[...]
